Devuan bug report logs - #356
openvpn can not be installed in Beowukf as depends on libssl1.0.2 not available

Package: openvpn; Maintainer for openvpn is Devuan Developers <devuan-dev@lists.dyne.org>;

Reported by: =?UTF-8?Q?Pelayo_Gonz=C3=A1lez_Mu=C3=B1oz?= <pelayogmp@gmail.com>

Date: Tue, 8 Oct 2019 11:03:01 UTC

Severity: grave

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#356; Package openvpn. (full text, mbox, link).


Acknowledgement sent to Pelayo González Muñoz <pelayogmp@gmail.com>:
New bug report received and forwarded. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Pelayo González Muñoz <pelayogmp@gmail.com>
To: submit@bugs.devuan.org
Subject: openvpn can not be installed in Beowukf as depends on libssl1.0.2 not available
Date: Tue, 8 Oct 2019 12:44:49 +0200
[Message part 1 (text/plain, inline)]
Package: openvpn
Version: 2.3.10-1+devuan1
Severity: grave

Dear Maintainer,

openvpn (2.3.10-1+devuan1) is uninstalable in beowulf as it depends on not
available package libssl1.0.2

However debian buster provides openvpn_2.4.7-1, which can be installed
in beowulf.

Please update package repositories to include openvpn_2.4.7-1

Sample commands:

# apt update > /dev/null 2>&1 && apt install openvpn
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 openvpn : Depends: libssl1.0.2 (>= 1.0.2d) but it is not installable
           Recommends: easy-rsa but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

# apt show libssl1.0.2
Package: libssl1.0.2
State: not a real package (virtual)
N: Can't select candidate version from package libssl1.0.2 as it has no
candidate
N: Can't select versions from package 'libssl1.0.2' as it is purely virtual
N: No packages found

TIA
--
Pelayo González

-- System Information:
Debian Release: 10.0
Architecture: amd64 (x86_64)

Kernel: Linux 4.19.0-6-amd64 (SMP w/4 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8),
LANGUAGE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages openvpn depends on:
ii  debconf [debconf-2.0]  1.5.71
ii  initscripts            2.93-8+devuan1
ii  iproute2               4.20.0-2
ii  libc6                  2.28-10
ii  liblzo2-2              2.10-0.1
ii  libpam0g               1.3.1-5
pn  libpkcs11-helper1      <none>
pn  libssl1.0.2            <none>

Versions of packages openvpn recommends:
pn  easy-rsa  <none>

Versions of packages openvpn suggests:
ii  openssl     1.1.1d-0+deb10u1
ii  resolvconf  1.79


/etc/apt/sources.list

deb http://deb.devuan.org/merged beowulf main contrib
deb-src http://deb.devuan.org/merged beowulf main contrib

deb http://deb.devuan.org/merged beowulf-security main contrib
deb-src http://deb.devuan.org/merged beowulf-security main contrib

deb http://deb.devuan.org/merged beowulf-updates main contrib
deb-src http://deb.devuan.org/merged beowulf-updates main contrib
[Message part 2 (text/html, inline)]

Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Tue, 14 Jan 2020 11:03:02 GMT) (full text, mbox, link).


Notification sent to Pelayo González Muñoz <pelayogmp@gmail.com>:
bug acknowledged by developer. (Tue, 14 Jan 2020 11:03:02 GMT) (full text, mbox, link).


Message #10 received at 356-done@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 356-done@bugs.devuan.org
Subject: Re: openvpn can not be installed in Beowukf as depends on libssl1.0.2 not available
Date: Wed, 8 Jan 2020 16:40:55 +0000
openvpn 2.4.7-1+devuan1 is now in beowulf.

Fixed. closing.

Mark

Message #13 received at 356-done@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 356-done@bugs.devuan.org
Cc: pelayogmp@gmail.com
Subject: Re: openvpn can not be installed in Beowukf as depends on libssl1.0.2 not available
Date: Fri, 3 Jan 2020 17:12:19 +0000
openvpn 2.4.7-1+devuan1 is now in beowulf.

Fixed. closing.

Mark

Message #14 received at 356-done@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 356-done@bugs.devuan.org
Subject: Re: openvpn can not be installed in Beowukf as depends on libssl1.0.2 not available
Date: Sun, 5 Jan 2020 16:55:03 +0000
openvpn 2.4.7-1+devuan1 is now in beowulf.

Fixed. closing.

Mark

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Tue Jan 28 16:29:18 2020;